<div class="card">
    <div class="card-body">
        <!-- <h4 class="card-title">
            Add domains to remind list.
        </h4> -->
        <h6>
            <button class="btn btn-primary" type="button" (click)="openDomainPopup()"> Add Domain</button>
        </h6>
        <br />
        <div class="table-responsive">
            <table class="table table-hover">
                <thead>
                    <tr>
                        <th> S.No </th>
                        <th> Domain Name </th>
                        <th> Hosting Provider </th>
                        <th> Expiry Date </th>
                        <!-- <th> Remind Status </th> -->
                        <th> Edit </th>
                        <th> Delete </th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let details of notificationDetails; let i = index;">
                        <td> {{i+1}} </td>
                        <td> {{ details.domainName }} </td>
                        <td> {{ details.hostingProvider }} </td>
                        <td> {{ details.expiryDate }} </td>
                        <!-- <td> {{ details.remindStatus }} </td> -->
                        <!-- <td> -->
                        <!-- <div class="form-group">
                                <label class="switch">
                                    <input type="checkbox" [checked]="details.remindStatus" [(ngModel)]="checkChanged">
                                    <span class="slider custom"></span>
                                </label>
                                <input type="checkbox" name="remindStatus">
                            </div> -->

                        <!-- </td> -->

                        <td>
                            <button class="btn btn-info" type="button" (click)="editDomainPopup(details)">Edit</button>
                        </td>
                        <td>
                            <button class="btn btn-danger" type="button">Delete</button>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>

<div class="modal fade" tabindex="-1" role="dialog" [ngClass]="{'show': showPopup == true, 'hide': showPopup == false}">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <form name="form" #f="ngForm" (ngSubmit)="f.form.valid && submitDomainDetails();">
                <!-- (submit)="submitDomainDetails(f)" novalidate> -->
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLongTitle"> {{ headerTitle }} </h5>
                    <button type="button" class="close" (click)="closeDomainPopup()" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="domainName">Domain Name</label>
                        <input type="text" class="form-control" name="domainName" placeholder="Domain Name" [(ngModel)]="newDetails.domainName"
                            #domainName="ngModel" [ngClass]="{ 'is-invalid': f.submitted && domainName.invalid }"
                            required />
                        <div *ngIf="f.submitted && domainName.invalid" class="invalid-feedback">
                            <div *ngIf="domainName.errors.required">Domain Name is required</div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="hostingProvider">Hosting Provider</label>
                        <select class="form-control custom-select mr-sm-2" name="hostingProvider" #hostingProvider="ngModel"
                            [(ngModel)]="newDetails.hostingProvider" required>
                            <option [ngValue]="undefined" disabled> --Select Hosting Provider-- </option>
                            <option *ngFor="let domain of domains; let i = index" [ngValue]="domain">{{ domain }}</option>
                        </select>
                        <div *ngIf="f.submitted && hostingProvider.invalid" class="invalid-feedback">
                            <div *ngIf="hostingProvider.errors.required">Hosting Provider is required</div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="expiryDate">Expiry Date</label>
                        <input type="text" class="form-control" name="expiryDate" placeholder="Expiry Date" #expiryDate="ngModel"
                            [ngClass]="{ 'is-invalid': f.submitted && expiryDate.invalid }" [(ngModel)]="newDetails.expiryDate"
                            required />
                        <div *ngIf="f.submitted && expiryDate.invalid" class="invalid-feedback">
                            <div *ngIf="expiryDate.errors.required">Expiry Date is required</div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <div class="form-group">
                        <button type="button" class="btn btn-secondary" (click)="closeDomainPopup()">Close</button>
                        <input type="submit" class="btn btn-info" value="Save" [disabled]="!f.valid" />
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="backdrop" [ngClass]="{'show': showPopup == true, 'hide': showPopup == false}"></div>
<!-- [ngStyle]="{'display': showPopup}" -->
<!-- [ngClass]="{'modal-backdrop fade in':true,'hide': !showAddIndexTypePopup}" -->
<!-- [ngClass]="{'backdrop fade show': showPopup==true, 'hide': showPopup == false}" -->